libzypp: zypp::ZConfig::Impl Class Reference

libzypp 17.38.11

zypp::ZConfig::Impl Class Reference

ZConfig implementation. More...

## Classes
struct | TargetDefaults
| Settings that follow a changed Target. More...
struct | MultiversionMap

## Public Member Functions
| Impl ()
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
Pathname | _autodetectSystemRoot () const
| bsc#1237044: Provide announceSystemRoot to allow commands using –root without launching a Target.
void | notifyTargetChanged ()
MultiversionSpec & | multiversion ()
const MultiversionSpec & | multiversion () const
const TargetDefaults & | targetDefaults () const
TargetDefaults & | targetDefaults ()

## Public Attributes
Pathname | _announced_root_path
long | cfg_lockTimeout = 0
Arch | cfg_arch
Locale | cfg_textLocale
DefaultOption< Pathname > | cfg_cache_path
DefaultOption< Pathname > | cfg_metadata_path
DefaultOption< Pathname > | cfg_solvfiles_path
DefaultOption< Pathname > | cfg_packages_path
Pathname | cfg_config_path
Pathname | cfg_known_repos_path
Pathname | cfg_known_services_path
Pathname | cfg_vars_path
Pathname | cfg_repo_mgr_root_path
Pathname | cfg_vendor_path
Pathname | cfg_multiversion_path
std::string | cfg_kernel_keep_spec
Pathname | locks_file
DefaultOption< std::string > | updateMessagesNotify
bool | repo_add_probe
unsigned | repo_refresh_delay
LocaleSet | repoRefreshLocales
bool | repoLabelIsAlias
bool | download_use_deltarpm
bool | download_use_deltarpm_always
DefaultOption< bool > | download_media_prefer_download
DefaultOption< Pathname > | download_mediaMountdir
Option< DownloadMode > | commit_downloadMode
DefaultOption< bool > | gpgCheck
DefaultOption< TriBool > | repoGpgCheck
DefaultOption< TriBool > | pkgGpgCheck
Pathname | solver_checkSystemFile
Pathname | solver_checkSystemFileDir
bool | apply_locks_file
target::rpm::RpmInstFlags | rpmInstallFlags
Pathname | history_log_path
std::string | userData
Option< Pathname > | pluginsPath
bool | geoipEnabled
std::vector< std::string > | geoipHosts
MediaConfig & | _mediaConf = MediaConfig::instance()

## Private Types
using | MultiversionSpec = std::set<std::string>

## Private Member Functions
MultiversionSpec & | getMultiversion () const

## Private Attributes
TargetDefaults | _initialTargetDefaults
| Initial TargetDefaults from /.
std::optional< TargetDefaults > | _currentTargetDefaults
| TargetDefaults while –root.
MultiversionMap | _multiversionMap

## Detailed Description

ZConfig implementation.

Todo
  Enrich section and entry definition by some comment (including the default setting and provide some method to write this into a sample zypp.conf.

Definition at line 235 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ MultiversionSpec

using zypp::ZConfig::Impl::MultiversionSpec = std::set<std::string>
| private

Definition at line 237 of file ZConfig.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::ZConfig::Impl::Impl | ( |  | ) |
| inline

Definition at line 319 of file ZConfig.cc.

## ◆ Impl() [2/3]

zypp::ZConfig::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::ZConfig::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::ZConfig::Impl::~Impl | ( |  | ) |
| inline

Definition at line 583 of file ZConfig.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::ZConfig::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::ZConfig::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ _autodetectSystemRoot()

Pathname zypp::ZConfig::Impl::_autodetectSystemRoot | ( |  | ) | const
| inline

bsc#1237044: Provide announceSystemRoot to allow commands using –root without launching a Target.

An announced SystemRoot is used rather than / when no Target is up. This enables sub components (e.g. VarReplacer) to refer to the right context.

Setting or re-setting a Target clears any announced SystemRoot.

Definition at line 592 of file ZConfig.cc.

## ◆ notifyTargetChanged()

void zypp::ZConfig::Impl::notifyTargetChanged | ( |  | ) |
| inline

Definition at line 598 of file ZConfig.cc.

## ◆ multiversion() [1/2]

MultiversionSpec & zypp::ZConfig::Impl::multiversion | ( |  | ) |
| inline

Definition at line 664 of file ZConfig.cc.

## ◆ multiversion() [2/2]

const MultiversionSpec & zypp::ZConfig::Impl::multiversion | ( |  | ) | const
| inline

Definition at line 665 of file ZConfig.cc.

## ◆ targetDefaults() [1/2]

const TargetDefaults & zypp::ZConfig::Impl::targetDefaults | ( |  | ) | const
| inline

Definition at line 686 of file ZConfig.cc.

## ◆ targetDefaults() [2/2]

TargetDefaults & zypp::ZConfig::Impl::targetDefaults | ( |  | ) |
| inline

Definition at line 687 of file ZConfig.cc.

## ◆ getMultiversion()

MultiversionSpec & zypp::ZConfig::Impl::getMultiversion | ( |  | ) | const
| inlineprivate

Definition at line 776 of file ZConfig.cc.

## Member Data Documentation

## ◆ _announced_root_path

Pathname zypp::ZConfig::Impl::_announced_root_path

Definition at line 620 of file ZConfig.cc.

## ◆ cfg_lockTimeout

long zypp::ZConfig::Impl::cfg_lockTimeout = 0

Definition at line 622 of file ZConfig.cc.

## ◆ cfg_arch

Arch zypp::ZConfig::Impl::cfg_arch

Definition at line 624 of file ZConfig.cc.

## ◆ cfg_textLocale

Locale zypp::ZConfig::Impl::cfg_textLocale

Definition at line 625 of file ZConfig.cc.

## ◆ cfg_cache_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_cache_path

Definition at line 627 of file ZConfig.cc.

## ◆ cfg_metadata_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_metadata_path

Definition at line 628 of file ZConfig.cc.

## ◆ cfg_solvfiles_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_solvfiles_path

Definition at line 629 of file ZConfig.cc.

## ◆ cfg_packages_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_packages_path

Definition at line 630 of file ZConfig.cc.

## ◆ cfg_config_path

Pathname zypp::ZConfig::Impl::cfg_config_path

Definition at line 632 of file ZConfig.cc.

## ◆ cfg_known_repos_path

Pathname zypp::ZConfig::Impl::cfg_known_repos_path

Definition at line 633 of file ZConfig.cc.

## ◆ cfg_known_services_path

Pathname zypp::ZConfig::Impl::cfg_known_services_path

Definition at line 634 of file ZConfig.cc.

## ◆ cfg_vars_path

Pathname zypp::ZConfig::Impl::cfg_vars_path

Definition at line 635 of file ZConfig.cc.

## ◆ cfg_repo_mgr_root_path

Pathname zypp::ZConfig::Impl::cfg_repo_mgr_root_path

Definition at line 636 of file ZConfig.cc.

## ◆ cfg_vendor_path

Pathname zypp::ZConfig::Impl::cfg_vendor_path

Definition at line 638 of file ZConfig.cc.

## ◆ cfg_multiversion_path

Pathname zypp::ZConfig::Impl::cfg_multiversion_path

Definition at line 639 of file ZConfig.cc.

## ◆ cfg_kernel_keep_spec

std::string zypp::ZConfig::Impl::cfg_kernel_keep_spec

Definition at line 640 of file ZConfig.cc.

## ◆ locks_file

Pathname zypp::ZConfig::Impl::locks_file

Definition at line 641 of file ZConfig.cc.

## ◆ updateMessagesNotify

DefaultOption<std::string> zypp::ZConfig::Impl::updateMessagesNotify

Definition at line 643 of file ZConfig.cc.

## ◆ repo_add_probe

bool zypp::ZConfig::Impl::repo_add_probe

Definition at line 645 of file ZConfig.cc.

## ◆ repo_refresh_delay

unsigned zypp::ZConfig::Impl::repo_refresh_delay

Definition at line 646 of file ZConfig.cc.

## ◆ repoRefreshLocales

LocaleSet zypp::ZConfig::Impl::repoRefreshLocales

Definition at line 647 of file ZConfig.cc.

## ◆ repoLabelIsAlias

bool zypp::ZConfig::Impl::repoLabelIsAlias

Definition at line 648 of file ZConfig.cc.

## ◆ download_use_deltarpm

bool zypp::ZConfig::Impl::download_use_deltarpm

Definition at line 650 of file ZConfig.cc.

## ◆ download_use_deltarpm_always

bool zypp::ZConfig::Impl::download_use_deltarpm_always

Definition at line 651 of file ZConfig.cc.

## ◆ download_media_prefer_download

DefaultOption<bool> zypp::ZConfig::Impl::download_media_prefer_download

Definition at line 652 of file ZConfig.cc.

## ◆ download_mediaMountdir

DefaultOption<Pathname> zypp::ZConfig::Impl::download_mediaMountdir

Definition at line 653 of file ZConfig.cc.

## ◆ commit_downloadMode

Option<DownloadMode> zypp::ZConfig::Impl::commit_downloadMode

Definition at line 655 of file ZConfig.cc.

## ◆ gpgCheck

DefaultOption<bool> zypp::ZConfig::Impl::gpgCheck

Definition at line 657 of file ZConfig.cc.

## ◆ repoGpgCheck

DefaultOption<TriBool> zypp::ZConfig::Impl::repoGpgCheck

Definition at line 658 of file ZConfig.cc.

## ◆ pkgGpgCheck

DefaultOption<TriBool> zypp::ZConfig::Impl::pkgGpgCheck

Definition at line 659 of file ZConfig.cc.

## ◆ solver_checkSystemFile

Pathname zypp::ZConfig::Impl::solver_checkSystemFile

Definition at line 661 of file ZConfig.cc.

## ◆ solver_checkSystemFileDir

Pathname zypp::ZConfig::Impl::solver_checkSystemFileDir

Definition at line 662 of file ZConfig.cc.

## ◆ apply_locks_file

bool zypp::ZConfig::Impl::apply_locks_file

Definition at line 667 of file ZConfig.cc.

## ◆ rpmInstallFlags

target::rpm::RpmInstFlags zypp::ZConfig::Impl::rpmInstallFlags

Definition at line 669 of file ZConfig.cc.

## ◆ history_log_path

Pathname zypp::ZConfig::Impl::history_log_path

Definition at line 671 of file ZConfig.cc.

## ◆ userData

std::string zypp::ZConfig::Impl::userData

Definition at line 673 of file ZConfig.cc.

## ◆ pluginsPath

Option<Pathname> zypp::ZConfig::Impl::pluginsPath

Definition at line 675 of file ZConfig.cc.

## ◆ geoipEnabled

bool zypp::ZConfig::Impl::geoipEnabled

Definition at line 677 of file ZConfig.cc.

## ◆ geoipHosts

std::vector<std::string> zypp::ZConfig::Impl::geoipHosts

Definition at line 679 of file ZConfig.cc.

## ◆ _mediaConf

MediaConfig& zypp::ZConfig::Impl::_mediaConf = MediaConfig::instance()

Definition at line 682 of file ZConfig.cc.

## ◆ _initialTargetDefaults

TargetDefaults zypp::ZConfig::Impl::_initialTargetDefaults
| private

Initial TargetDefaults from /.

Definition at line 689 of file ZConfig.cc.

## ◆ _currentTargetDefaults

std::optional<TargetDefaults> zypp::ZConfig::Impl::_currentTargetDefaults
| private

TargetDefaults while –root.

Definition at line 690 of file ZConfig.cc.

## ◆ _multiversionMap

MultiversionMap zypp::ZConfig::Impl::_multiversionMap
| mutableprivate

Definition at line 779 of file ZConfig.cc.

The documentation for this class was generated from the following file:

- zypp/ZConfig.cc